- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDParaIX Class Reference
Inheritance diagram for libvisio::VSDParaIX:

## Public Member Functions
| VSDParaIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned > &flags)
| ~VSDParaIX ()
void | handle (VSDCollector *collector) const
VSDParagraphListElement * | clone ()
unsigned | getCharCount () const
void | setCharCount (unsigned charCount)
Public Member Functions inherited from libvisio::VSDParagraphListElement
| VSDParagraphListElement (unsigned id, unsigned level)
virtual | ~VSDParagraphListElement ()

## Public Attributes
VSDOptionalParaStyle | m_style
Public Attributes inherited from libvisio::VSDParagraphListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDParaIX::VSDParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| inline

libvisio::VSDParaIX::~VSDParaIX | ( |  | ) |
| inline

## Member Function Documentation

libvisio::VSDParagraphListElement * libvisio::VSDParaIX::clone | ( |  | ) |
| virtual

Implements libvisio::VSDParagraphListElement.

unsigned libvisio::VSDParaIX::getCharCount | ( |  | ) | const
| inline virtual

Implements libvisio::VSDParagraphListElement.

void libvisio::VSDParaIX::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDParagraphListElement.

void libvisio::VSDParaIX::setCharCount | ( | unsigned | charCount | ) |
| inline virtual

Implements libvisio::VSDParagraphListElement.

## Member Data Documentation

VSDOptionalParaStyle libvisio::VSDParaIX::m_style

Referenced by libvisio::VSDParagraphList::addParaIX(), getCharCount(), handle(), and setCharCount().

The documentation for this class was generated from the following file:

- VSDParagraphList.cpp